FG Spreadshirt Swag
Page 18 of 31 First ... 8161718192028 ... Last

Thread: Linux Testing

  1. #171

    Join Date
    May 2020
    Location
    Queensland, Australia
    Posts
    36
    I have had a couple of crashes this afternoon. I haven't worked out a pattern for it yet.


    Native stacktrace:

    /usr/share/smiteworks/fantasygrounds/FantasyGrounds_Data/MonoBleedingEdge/x86_64/libmonobdwgc-2.0.so(+0xd5bb0) [0x7f294b17ebb0]
    /usr/share/smiteworks/fantasygrounds/FantasyGrounds_Data/MonoBleedingEdge/x86_64/libmonobdwgc-2.0.so(+0x5c5e3) [0x7f294b1055e3]
    /lib64/libpthread.so.0(+0x12f10) [0x7f29516e9f10]
    /usr/share/smiteworks/fantasygrounds/FantasyGrounds.x86_64() [0x8f5bf0]
    /usr/share/smiteworks/fantasygrounds/FantasyGrounds.x86_64() [0x8f6648]
    /usr/share/smiteworks/fantasygrounds/FantasyGrounds.x86_64() [0x8fd024]
    /usr/share/smiteworks/fantasygrounds/FantasyGrounds.x86_64() [0x88d17a]
    /usr/share/smiteworks/fantasygrounds/FantasyGrounds.x86_64() [0x886c4a]
    /usr/share/smiteworks/fantasygrounds/FantasyGrounds.x86_64() [0x886d89]
    /usr/share/smiteworks/fantasygrounds/FantasyGrounds.x86_64() [0xcbcf19]
    /lib64/libpthread.so.0(+0x7fee) [0x7f29516defee]
    /lib64/libc.so.6(clone+0x3f) [0x7f2951611fff]

  2. #172
    Well, I got this to work on an EC2 instance and connected to my buddy's server. What I did:

    1. get into AWS and subscribe to this AMI from the marketplace: https://aws.amazon.com/marketplace/pp/B088P8WCBV
    2. Launch an instance from the AMI
    3. follow AWS's instructions to install the NICE DCV client
    4. Change the security group to allow ingress from my IP and my IP only
    5. add a user account for the NICE DCV client
    6. Launch the NICE DCV client and log in with the user/password I created
    7. install FGU on ubuntu following the command line instructions from the wiki: https://fantasygroundsunity.atlassia...buntu%2BDebian
    8. Launch from the command line with /usr/share/smiteworks/fantasygrounds/FantasyGroundsUpdater

    I sat while it did its thing, but it ran like a champ with this 4-core instance and load on my local machine was nominal. I connected to a pal's server and it worked fine, but the real test will be playing a game with it. I hope this helps some folks. I cannot be held responsible if your results vary from mine, or if you find the pricing exorbitant. I encourage some legwork to make sure this is right for you!

  3. #173
    Quote Originally Posted by Moon Wizard View Post
    INSTALLER FILE LAST UPDATED: September 1, 2020

    NOTE: The Linux installer is only available via this link. While we are working on a Steam version, it is not ready for testing on Steam yet.

    Download

    We have a build of the Linux applications ready for people to help us put it through the paces to make sure it installs and runs like the other versions.

    As noted in the Overview and Download thread, Ubuntu 16.04+ (64-bit only) is the supported platform for this Linux installation. Your mileage will vary for other Linux installations, and only Ubuntu is planned to be supported at this time. The installer is a Debian package.

    https://www.fantasygrounds.com/filel...WebInstall.deb

    Issue Reporting

    Please post any issues to this thread, and include your OS and OS version information. Also, please include any information that may be unique to your system, or specific steps on how to recreate the issue.

    Regards,
    JPG
    Any updates. Since this post still hasn't been updated for the last 2 I thought I would ask.
    Ultimate Edition Fantasy Grounds - ONLY ON Linux
    Twitch Channel

  4. #174
    We found the mouse scroll wheel issue was actually a bug in Unity, and to fix that we had to update the version of Unity that FGU is built with. So the good news is the mouse wheel works properly in Linux now .. the bad news is some of the other changes introduced in the new Unity version don't play nice with the shared installation approach we took.. i.e. it caused a lot of permissions issues. Since we are still in a testing phase, we decided to go ahead and switch to user based install to alleviate permissions issues going forward. With that said, a new Linux installer will be released this week with the update. Unfortunately, this update will break existing installations so you will need to uninstall FGU and reinstall using the new installer. On the bright side, the new installer is a self-extracting tar file so it should work on pretty much every distro out there.

    To remove an existing standard installation:
    sudo dpkg -r fantasygroundsinstaller && sudo rm -fr /usr/share/smiteworks

  5. #175
    Awesome news!
    Ultimate Edition Fantasy Grounds - ONLY ON Linux
    Twitch Channel

  6. #176

    Join Date
    May 2020
    Location
    Queensland, Australia
    Posts
    36
    Quote Originally Posted by smelton View Post
    We found the mouse scroll wheel issue was actually a bug in Unity, and to fix that we had to update the version of Unity that FGU is built with. So the good news is the mouse wheel works properly in Linux now .. the bad news is some of the other changes introduced in the new Unity version don't play nice with the shared installation approach we took.. i.e. it caused a lot of permissions issues. Since we are still in a testing phase, we decided to go ahead and switch to user based install to alleviate permissions issues going forward. With that said, a new Linux installer will be released this week with the update. Unfortunately, this update will break existing installations so you will need to uninstall FGU and reinstall using the new installer. On the bright side, the new installer is a self-extracting tar file so it should work on pretty much every distro out there.

    To remove an existing standard installation:
    sudo dpkg -r fantasygroundsinstaller && sudo rm -fr /usr/share/smiteworks
    Great news, excellent!

  7. #177
    I had the first version installed on Ubuntu 20.04, it worked fine.

    I updated to the new one mentioned (version 1.0.1 I believe), now when it starts, it goes to the updater. When I hit Launch FG, it just relaunches the Updater.

    Ran this to: sudo dpkg -r fantasygroundsinstaller && sudo rm -fr /usr/share/smiteworks

    I have tried a remove and reinstall, as above, but it does not fix the issue.
    Last edited by finny525; September 24th, 2020 at 14:33.

  8. #178
    Quote Originally Posted by finny525 View Post
    I had the first version installed on Ubuntu 20.04, it worked fine.

    I updated to the new one mentioned (version 1.0.1 I believe), now when it starts, it goes to the updater. When I hit Launch FG, it just relaunches the Updater.

    Ran this to: sudo dpkg -r fantasygroundsinstaller && sudo rm -fr /usr/share/smiteworks

    I have tried a remove and reinstall, as above, but it does not fix the issue.
    After you reininstall, click Update

  9. #179
    Quote Originally Posted by smelton View Post
    After you reininstall, click Update
    Well, that did it

    Thanks!

  10. #180
    Updated first post with latest installer that is built as a self-extracting binary (.bin); along with a simple command line to trigger the install from the binary.

    Regards,
    JPG

Thread Information

Users Browsing this Thread

There are currently 2 users browsing this thread. (1 members and 1 guests)

  1. vainazzo

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
PF2E Playlist

Log in

Log in